#include "implementation.h"

#include <io/pregraph.hpp>

#include <cassert>
#include <cstdio>

using namespace ba_graph;

int main()
{
	std::string file1 = "multipoles.code";
  // not actually good string, need to change
  std::cout << "in pregraph test" << std::endl;
  std::string s;
  s.push_back('\1');
  s.push_back('\0');
  s.push_back('\1');
  s.push_back('\7');
  s.push_back('\2');
	std::ofstream f1out(file1); f1out << s; f1out.close();

  std::ifstream fin(file1);
  while (!fin.eof() && (short) fin.peek() != -1){
    std::cout << (unsigned short) fin.get() << std::endl;
  }
  



  //std::vector<Graph> vg;
  //vg = readPregraphsFromFile(file1);

  //assert(vg[1].order()==5);
}
